/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <project.h>

int main()
{
    CyGlobalIntEnable; /* Enable global interrupts. */
    
    USB_Start(0,USB_5V_OPERATION);
    while(USB_IsConfigurationChanged() == 0){};
    while(USB_GetConfiguration() == 0){};
    USB_CDC_Init();
    
    RS422_out_Start();    
    RS422_in_Start(); 
    UART_Start();
    //RS422_in_EnableRxInt();
    int x;
    uint8 data[11]={0x23,0xAA,0xAA,0xAA,0xAA,0x7F,0xA5,0x7F,0xA5,0x7F,0x23},temp,STATUS1,STATUS2;                
    //transmit422(data,11);
    
    
    for(;;)
    {
        if((STATUS1&RS422_in_RX_STS_FIFO_NOTEMPTY)==0x00)
        {
            STATUS1=RS422_in_ReadRxStatus();
            CyDelayUs(20);
        }
        else
        {
            CyDelayUs(20);
            temp=RS422_in_GetChar();
            if(temp != 0)
            {
                if(RS422_in_RX_STS_MRKSPC)
                    temp=(temp>>1)+0x80;
                else
                    temp=(temp>>1);
        
                while(USB_CDCIsReady() == 0); //send function
                USB_PutChar(temp);
            }
        }
        
        /*for(x=0;x<11;x++)
        {
        do{
            STATUS1=RS422_in_ReadRxStatus();
            CyDelayUs(20);
        }while((STATUS1&RS422_in_RX_STS_FIFO_NOTEMPTY)==0x00);
        CyDelayUs(20);
        temp=RS422_in_GetChar();
        //CyDelayUs(20);
        //STATUS2=RS422_in_ReadRxStatus();
        if(temp!=0)
        {
            if(STATUS1&RS422_in_RX_STS_MRKSPC)
                temp=(temp/2)+0x80;
            else
                temp=(temp/2);
            //UART_PutChar(temp);
            while(USB_CDCIsReady() == 0); //send function
            USB_PutChar(temp);
        
        }
        }*/
    }
}

/* [] END OF FILE */
